/*****************************************************************************/
/*****************************************************************************/
/************** start legacy app.css *****************************************/
/* 
  This file should be the same in all themes, containing the Agylia styling 
  changes that are different from app.css in the base project, it is not and
  should not be subject to changed based on a tennant preference, this file
  or a similar version should be moved to `custom.css` in the base project.

  Most of the changed in this file can/will be made in markup as/when the
  oppertunity is available to do so with minimal impact on existing themes.
*/
html {
  background-color: #fff;
}

/* Remove reserved width for menu logo (fix in markup? i.e. not use this class) */
.app-aside, .navbar-header {
  width: inherit;
}

/* Ensure a background effect is NOT applied to the menus (fix in markup) */
.nav > li > a:hover,
.nav > li > a:focus {
  background-color: transparent;
}

.nav .open > a,
.nav .open > a:hover,
.nav .open > a:focus {
  background-color: inherit;
}

.dropdown-menu > li > a:hover,
.dropdown-menu > li > a:focus,
.dropdown-menu > .active > a,
.dropdown-menu > .active > a:hover,
.dropdown-menu > .active > a:focus {
  background-color: inherit !important;
}

/* Ensure logo doesnt overflow (fix in markup) */
.signin-panel .brand.item img,
.forgot-panel .brand.item img,
.signup-panel .brand.item img,
.scope-panel .brand.item img,
.thanks-panel .brand.item img,
.recover-panel .brand.item img,
.verify-panel .brand.item img {
  width: 100%;
}

/* Hide the first menu bar item i.e. Home (fix in markup) */
.navbar .nav:first-child{
  display: none;
}

/* Ensure menue does not containe additional avatar section (fix in markup) */
.navbar ul.navbar-right > li:last-child ul.dropdown-menu > li.bg-light {
  display:none;
}

.bg-black {
  background-color: #333;
  color: #fff
}
/**************** end legacy app.css *****************************************/
/*****************************************************************************/
/*****************************************************************************/

/* This file is what we aim to dynamicaly build based on desired theme */
/* -- Primary action colour -- */
/* 
   dk      bg      lt
#5a4daa #7266ba #8C80D4 (default)
#008c95 #f7432c #33b0b8 (civica)
*/

@font-face {
  font-family: 'AmgueddfaBody';
  src: url('/content/assets/AmgueddfaBody-Thin.woff');
  src: url('/content/assets/AmgueddfaBody-Thin.woff2');
  font-weight: 300;
  font-style: normal;
  font-stretch: normal;
}

@font-face {
  font-family: 'AmgueddfaBody';
  src: url('/content/assets/AmgueddfaBody-Thinitalic.woff');
  src: url('/content/assets/AmgueddfaBody-Thinitalic.woff2');
  font-weight: 300;
  font-style: italic;
  font-stretch: normal;
}

@font-face {
  font-family: 'AmgueddfaBody';
  src: url('/content/assets/AmgueddfaBody-Regular.woff');
  src: url('/content/assets/AmgueddfaBody-Regular.woff2');
  font-weight: normal;
  font-style: normal;
  font-stretch: normal;
}

@font-face {
  font-family: 'AmgueddfaBody';
  src: url('/content/assets/AmgueddfaBody-Regularitalic.woff');
  src: url('/content/assets/AmgueddfaBody-Regularitalic.woff2');
  font-weight: normal;
  font-style: italic;
  font-stretch: normal;
}

@font-face {
  font-family: 'AmgueddfaBody';
  src: url('/content/assets/AmgueddfaBody-Bold.woff');
  src: url('/content/assets/AmgueddfaBody-Bold.woff2');
  font-weight: 700;
  font-style: normal;
  font-stretch: normal;
}

@font-face {
  font-family: 'AmgueddfaBody';
  src: url('/content/assets/AmgueddfaBody-Bolditalic.woff');
  src: url('/content/assets/AmgueddfaBody-Bolditalic.woff2');
  font-weight: 700;
  font-style: italic;
  font-stretch: normal;
}

body {
	font-family: 'AmgueddfaBody', Helvetica, Arial, sans-serif;
  font-size: 13px;
}

/* colours */
.nav  > li > a {
  color: #000;
}
.nav  > li > a:hover,
.nav  > li > a:focus {
  color: #f7432c;
}

.bg-primary .nav>li>a:focus,
.bg-primary .nav>li>a:hover {
  background-color: #dd2108;
}

a {
  color: #f7432c;
  text-decoration: none;
  cursor: pointer;
}
a:hover {
  color: #0486f8;
  text-decoration: none;
}

.btn-primary {
  color: #fff !important;
  background-color: #f7432c;
  border-color: #f7432c;
}

.btn-primary:hover,
.btn-primary.hover,
.btn-primary:focus,
.btn-primary.focus,
.btn-primary:active,
.btn-primary.active,
.btn-primary.active.focus, 
.btn-primary.active:focus, 
.btn-primary.active:hover, 
.btn-primary:active.focus, 
.btn-primary:active:focus, 
.btn-primary:active:hover,
.open .dropdown-toggle.btn-primary {
  color: #fff !important;
  background-color: #0486f8;
  border-color: #0486f8;
}
.btn-primary:active,
.btn-primary.active,
.open .dropdown-toggle.btn-primary {
  background-image: none;
}
.btn-primary.disabled,
.btn-primary[disabled],
fieldset[disabled] .btn-primary,
.btn-primary.disabled:hover,
.btn-primary[disabled]:hover,
fieldset[disabled] .btn-primary:hover,
.btn-primary.disabled.hover,
.btn-primary[disabled].hover,
fieldset[disabled] .btn-primary.hover,
.btn-primary.disabled:focus,
.btn-primary[disabled]:focus,
fieldset[disabled] .btn-primary:focus,
.btn-primary.disabled.focus,
.btn-primary[disabled].focus,
fieldset[disabled] .btn-primary.focus,
.btn-primary.disabled:active,
.btn-primary[disabled]:active,
fieldset[disabled] .btn-primary:active,
.btn-primary.disabled.active,
.btn-primary[disabled].active,
fieldset[disabled] .btn-primary.active,
.btn-primary.disabled:visited,
.btn-primary[disabled]:visited,
fieldset[disabled] .btn-primary:visited,
.btn-primary.disabled.visited,
.btn-primary[disabled].visited,
fieldset[disabled] .btn-primary.visited {
  background-color: #f7432c;
  border-color: #f7432c;
}

.bg-primary {
  background-color: #f7432c;
  color: #fff;
}
.bg-primary a {
  color: #ffffff;
}
.bg-primary a:hover {
  color: #fff;
}
.bg-primary.dker,
.bg-primary .dker {
  background-color: #dd2108;
  /* plus 15% */
}

.bg-primary.lter,
.bg-primary .lter {
  background-color: #fb9284;
  /* minus 10% */
}

.bg-light-blue {
  background-color: #6699ff;
  color: #fff;
}

.bg-white a,
.text-primary {
  color: #f7432c;
}
.bg-white a:hover,
a.text-primary:hover,
a.bg-light:hover {
  color: #0486f8; /* darken 5% */
}

a.bg-primary:hover {
  background-color: #0486f8; /* darken 5% */
}

.stroke-primary {
	stroke: #f7432c;
}

.stroke-primary.dker,
.stroke-primary .dker {
	stroke: #dd2108;  /* plus 15% */
}

.stroke-primary.lter,
.stroke-primary .lter {
	stroke: #fb9284;  /* minus 10% */
}

.fill-primary {
	fill: #f7432c; 
}

.fill-primary.dker,
.fill-primary .dker {
	fill: #dd2108; /* plus 15% */
}

.fill-primary.lter,
.fill-primary .lter {
	fill: #fb9284; /* minus 10% */
}

.rounded {
  border-radius: 500px;
}

/* -- Dropdown menu link colour -- */

.dropdown-menu > li > a:hover,
.dropdown-menu > li > a:focus,
.dropdown-menu > .active > a,
.dropdown-menu > .active > a:hover,
.dropdown-menu > .active > a:focus {
  color: #0486f8;
}

/* -- public pages -- */
.app-public-access-signin .signin-panel,
.app-public-access-forgot .forgot-panel,
.app-public-access-signup .signup-panel,
.app-public-access-recover .recover-panel,
.app-public-access-thanks .thanks-panel,
.app-public-access-scope .scope-panel,
.app-public-access-verify .verify-panel {
  background-color: #ffffff;
}

.app-public-access-signin .signin-panel .brand img,
.app-public-access-forgot .forgot-panel .brand img,
.app-public-access-signup .signup-panel .brand img,
.app-public-access-recover .recover-panel .brand img,
.app-public-access-thanks .thanks-panel .brand img,
.app-public-access-scope .scope-panel .brand img,
.app-public-access-verify .verify-panel .brand img {
  background: #f7432c !important;
  margin-bottom: 10px;
  padding: 10px;
}
/* -- Dashboard -- */

#navbar > .nav > li > a:hover {
  background-color: #dd2108;
}

.app-private-dashboard .panel-view-divider,
.app-private-dashboard .panel-view:before {
  background: #f7432c !important;
}

.app-private-catalogue-curriculum .tl-footer,
.app-private-account-history .tl-footer {
  margin-left: 51px !important;
}

.app-private-dashboard #banner-item-1 {
  background-size: 60%;
  background-color: #f7432c;
}

.app-private-dashboard #banner-item-2 {
  justify-content:center!important;
  text-align: center!important;
}

.app-private-dashboard #default-tile-1 .panel-img-top {
  background-position: 50% 40%!important;
}

.app-private-dashboard #default-tile-4 .panel-img-top {
  background-position: 50% 25%!important;
}

.app-private-dashboard #default-tile-7 .panel-img-top {
  background-position: 50% 0%!important;
}

.app-private-dashboard #default-tile-8 .panel-img-top {
  background-position: 50% 35%!important;
}